Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Interface InvocableMap.EntryProcessor

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AbstractProcessor, CompositeProcessor, ConditionalProcessor, ConditionalPut, ConditionalPutAll, ConditionalRemove, ExtractorProcessor, NullImplementation.NullEntryProcessor, NumberIncrementor, NumberMultiplier, PreloadRequest, PriorityProcessor, PropertyProcessor, UpdaterProcessor, VersionedPut, VersionedPutAll

Enclosing interface:
  InvocableMap

      public static interface InvocableMap.EntryProcessor

extends java.io.Serializable

An invocable agent that operates against the Entry objects within a Map.

Method Summary
`java.lang.Object` | `process(InvocableMap.Entry entry)` Process a Map.Entry object.
`java.util.Map` | `processAll(java.util.Set setEntries)` Process a Set of InvocableMap.Entry objects.

Method Detail

### process

    java.lang.Object process(InvocableMap.Entry entry)

  Process a Map.Entry object.
  Parameters:
    `entry` - the Entry to process
  Returns:
    the result of the processing, if any

### processAll

    java.util.Map processAll(java.util.Set setEntries)

  Process a Set of InvocableMap.Entry objects. This method is semantically equivalent to:

         Map mapResults = new ListMap();
         for (Iterator iter = setEntries.iterator(); iter.hasNext(); )
             {
             Entry entry = (Entry) iter.next();
             mapResults.put(entry.getKey(), process(entry));
             }
         return mapResults;

  Note: if processAll() call throws an exception, entries that were removed from the setEntries would be considered successfully processed and corresponding changes will be made to the underlying Map.
  Parameters:
    `setEntries` - a Set of InvocableMap.Entry objects to process
  Returns:
    a Map containing the results of the processing, up to one entry for each InvocableMap.Entry that was processed, keyed by the keys of the Map that were processed, with a corresponding value being the result of the processing for each key

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.